summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarien Zwart <marienz@gentoo.org>2006-09-25 17:42:37 +0000
committerMarien Zwart <marienz@gentoo.org>2006-09-25 17:42:37 +0000
commit2a48f30f4376c4e52fd52f43013dcb3267d6979b (patch)
tree16dfb5e2ee29fd987efeaf1363f45d0e6018ec89 /dev-util/buildbot/files
parentStable on ppc wrt bug 149049 (diff)
downloadhistorical-2a48f30f4376c4e52fd52f43013dcb3267d6979b.tar.gz
historical-2a48f30f4376c4e52fd52f43013dcb3267d6979b.tar.bz2
historical-2a48f30f4376c4e52fd52f43013dcb3267d6979b.zip
-m New package, ebuild based on one by Michael Schmid <meheschmid@gmx.ch>. Closes bug #133004.
Package-Manager: portage-2.1.2_pre1
Diffstat (limited to 'dev-util/buildbot/files')
-rw-r--r--dev-util/buildbot/files/buildbot-0.7.4-svn-1.4.patch38
-rw-r--r--dev-util/buildbot/files/buildbot.initd48
-rw-r--r--dev-util/buildbot/files/buildmaster.confd10
-rw-r--r--dev-util/buildbot/files/buildslave.confd10
-rw-r--r--dev-util/buildbot/files/digest-buildbot-0.7.43
5 files changed, 109 insertions, 0 deletions
diff --git a/dev-util/buildbot/files/buildbot-0.7.4-svn-1.4.patch b/dev-util/buildbot/files/buildbot-0.7.4-svn-1.4.patch
new file mode 100644
index 000000000000..993f988c3300
--- /dev/null
+++ b/dev-util/buildbot/files/buildbot-0.7.4-svn-1.4.patch
@@ -0,0 +1,38 @@
+Index: test_vc.py
+===================================================================
+RCS file: /cvsroot/buildbot/buildbot/buildbot/test/test_vc.py,v
+retrieving revision 1.68
+retrieving revision 1.69
+diff -u -d -r1.68 -r1.69
+--- buildbot/test/test_vc.py 15 Sep 2006 14:47:41 -0000 1.68
++++ buildbot/test/test_vc.py 18 Sep 2006 02:14:45 -0000 1.69
+@@ -499,6 +499,15 @@
+ self.fail("build did not succeed")
+ return bs
+
++ def printLogs(self, bs):
++ for s in bs.getSteps():
++ for l in s.getLogs():
++ print "--- START step %s / log %s ---" % (s.getName(),
++ l.getName())
++ print l.getTextWithHeaders()
++ print "--- STOP ---"
++ print
++
+ def touch(self, d, f):
+ open(os.path.join(d,f),"w").close()
+ def shouldExist(self, *args):
+@@ -666,7 +675,12 @@
+ d.addCallback(self._do_vctest_update_retry_1)
+ return d
+ def _do_vctest_update_retry_1(self, bs):
+- self.shouldNotExist(self.workdir, "newfile")
++ # SVN-1.4.0 doesn't seem to have any problem with the
++ # file-turned-directory issue (although older versions did). So don't
++ # actually check that the tree was clobbered.. as long as the update
++ # succeeded (checked by doBuild), that should be good enough.
++ #self.shouldNotExist(self.workdir, "newfile")
++ pass
+
+ def _do_vctest_copy(self, res):
+ d = self.doBuild() # copy rebuild clobbers new files
diff --git a/dev-util/buildbot/files/buildbot.initd b/dev-util/buildbot/files/buildbot.initd
new file mode 100644
index 000000000000..26fe8b7902bc
--- /dev/null
+++ b/dev-util/buildbot/files/buildbot.initd
@@ -0,0 +1,48 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-util/buildbot/files/buildbot.initd,v 1.1 2006/09/25 17:42:37 marienz Exp $
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [[ -z "${BASEDIR}" ]]; then
+ eerror "BASEDIR not set"
+ return 1
+ fi
+ if [[ -z "${USERNAME}" ]]; then
+ eerror "USERNAME not set"
+ return 1
+ fi
+ if [[ ! -d "${BASEDIR}" ]]; then
+ eerror "${BASEDIR} is not a directory"
+ return 1
+ fi
+ if [[ ! -e "${BASEDIR}/buildbot.tac" ]]; then
+ eerror "${BASEDIR} does not contain buildbot.tac"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting buildslave in ${BASEDIR}"
+ # We set HOME here to make something valid show up in the env of child
+ # processes spawned by the buildslave.
+ start-stop-daemon --start -c "${USERNAME}" --quiet \
+ --env HOME="${BASEDIR}" \
+ --exec /usr/bin/twistd -- \
+ --no_save \
+ --logfile="${BASEDIR}/twistd.log" \
+ --pidfile="${BASEDIR}/twistd.pid" \
+ --python="${BASEDIR}/buildbot.tac"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping buildslave in ${BASEDIR}"
+ start-stop-daemon --stop --quiet --pidfile "${BASEDIR}/twistd.pid"
+ eend $?
+}
diff --git a/dev-util/buildbot/files/buildmaster.confd b/dev-util/buildbot/files/buildmaster.confd
new file mode 100644
index 000000000000..e489d66f9d4b
--- /dev/null
+++ b/dev-util/buildbot/files/buildmaster.confd
@@ -0,0 +1,10 @@
+
+# Path to the build master's basedir.
+BASEDIR=/var/lib/buildmaster
+
+# User account for the buildmaster.
+# The basedir should be owned by this user.
+USERNAME=buildbot
+
+# Extra options to pass to twistd.
+TWISTD_OPTS=""
diff --git a/dev-util/buildbot/files/buildslave.confd b/dev-util/buildbot/files/buildslave.confd
new file mode 100644
index 000000000000..a168b02bffc7
--- /dev/null
+++ b/dev-util/buildbot/files/buildslave.confd
@@ -0,0 +1,10 @@
+
+# Path to the build slave's basedir.
+BASEDIR=/var/lib/buildslave
+
+# User account for the buildslave.
+# The basedir should be owned by this user.
+USERNAME=buildbot
+
+# Extra options to pass to twistd.
+TWISTD_OPTS=""
diff --git a/dev-util/buildbot/files/digest-buildbot-0.7.4 b/dev-util/buildbot/files/digest-buildbot-0.7.4
new file mode 100644
index 000000000000..b1e888a340dd
--- /dev/null
+++ b/dev-util/buildbot/files/digest-buildbot-0.7.4
@@ -0,0 +1,3 @@
+MD5 a311b9c9b283acc8e6fa8770d099bae7 buildbot-0.7.4.tar.gz 862827
+RMD160 8b7ec0dd615209b5ab976cb2da195249ce147189 buildbot-0.7.4.tar.gz 862827
+SHA256 d9b1ff5bfcf746be348d75096e9a4824b9b6f02eccdc8b53402d3944898c298e buildbot-0.7.4.tar.gz 862827